import { MigrationInterface, QueryRunner } from "typeorm";

export class UpdateCommandAddShortName1779776860350 implements MigrationInterface {
    name = 'UpdateCommandAddShortName1779776860350'

    public async up(queryRunner: QueryRunner): Promise<void> {
        await queryRunner.query(`ALTER TABLE \`command\` ADD \`shortName\` varchar(16) NULL COMMENT 'ชื่อย่อหน่วยงานที่ออกคำสั่ง'`);
    }

    public async down(queryRunner: QueryRunner): Promise<void> {
        await queryRunner.query(`ALTER TABLE \`command\` DROP COLUMN \`shortName\``);
    }

}
